## company-mode 0.8.12

=== Makefile ===
EMACS=emacs

.PHONY: ert test test-batch

package: *.el
	@ver=`grep -o "Version: .*" company.el | cut -c 10-`; \
	tar cjvf company-$$ver.tar.bz2 --mode 644 `git ls-files '*.el' | xargs`

elpa: *.el
	@version=`grep -o "Version: .*" company.el | cut -c 10-`; \
	dir=company-$$version; \
	mkdir -p "$$dir"; \
	cp `git ls-files '*.el' | xargs` company-$$version; \
	echo "(define-package \"company\" \"$$version\" \
	\"Modular in-buffer completion framework\")" \
	> "$$dir"/company-pkg.el; \
	tar cvf company-$$version.tar --mode 644 "$$dir"

clean:
	@rm -rf company-*/ company-*.tar company-*.tar.bz2 *.elc ert.el

test:
	${EMACS} -Q -nw -L . -l test/all.el \
	--eval "(let (pop-up-windows) (ert t))"

test-batch:
	${EMACS} -Q --batch -L . -l test/all.el \
	--eval "(ert-run-tests-batch-and-exit '(not (tag interactive)))"

compile:
	${EMACS} -Q --batch -L . -f batch-byte-compile company.el company-*.el

=== debian/changelog ===
company-mode (0.8.12-6) unstable; urgency=medium

  * Team upload.
  * Add d/elpa-company.prerm to fix upgrades from 0.8.12-4 and below (Closes:
    #850630).  Thanks to 'cruncher' on #debian-next for help preparing the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 08 Jan 2017 16:07:16 -0700

company-mode (0.8.12-5) unstable; urgency=medium

  * Rebuild with dh-elpa 1.5. Fix for removal in the presence of xemacs (fix
    actually in dh-elpa 0.15)

 -- David Bremner <bremner@debian.org>  Wed, 04 Jan 2017 09:19:31 -0400

company-mode (0.8.12-4) unstable; urgency=medium

  * Rebuild with dh-elpa 0.13. Fix for "unowned directory after purge:
    /usr/share/emacs24/site-lisp/elpa/", thanks to Andreas Beckmann (Closes:
    #798701).
  * Enable upstream tests.

 -- David Bremner <bremner@debian.org>  Tue, 06 Oct 2015 21:37:22 -0300

company-mode (0.8.12-3) unstable; urgency=medium

  * Rebuild with dh-elpa 0.0.12. Fix for emacsen-common breakage during emacs
    upgrade.

 -- David Bremner <bremner@debian.org>  Sat, 26 Sep 2015 10:27:49 -0300

company-mode (0.8.12-2) unstable; urgency=medium

  * Bug fix: "maintainer address bounces", thanks to Ansgar Burchardt (Closes:
    #797937).

 -- David Bremner <bremner@debian.org>  Thu, 03 Sep 2015 18:53:25 -0300

company-mode (0.8.12-1) unstable; urgency=low

  * Initial release

 -- David Bremner <bremner@debian.org>  Fri, 21 Aug 2015 08:49:22 +0200

=== debian/control ===
Source: company-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.13)
Standards-Version: 3.9.6
Homepage: https://company-mode.github.io/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/company-mode.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/company-mode.git/

Package: elpa-company
Architecture: all
Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs | emacsen,
Description: Modular in-buffer completion framework for Emacs
 Company is a text completion framework for Emacs. The name stands for "complete
 anything". It uses pluggable back-ends and front-ends to retrieve and display
 completion candidates.

## company-mode 0.9.4

=== debian/changelog ===
company-mode (0.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. (Closes: #870705)
  * Drop 0001-Makefile-allow-package-and-elpa-targets-to-run-witho.patch
    - It has been applied upstream.
  * d/control:
    - Bump debhelper build-dep to 10.
    - Bump Standards-Version to 4.0.0 (no changes needed).
    - Make elpa-company comply with current Debian Emacs Policy.
      Depend on ${elpa:Depends}, instead of emacsen-common and emacsen.
    
 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 04 Aug 2017 11:51:37 -0400

=== debian/control ===
Source: company-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.13)
Standards-Version: 4.0.0
Homepage: https://company-mode.github.io/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/company-mode.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/company-mode.git/

Package: elpa-company
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}, emacs
Description: Modular in-buffer completion framework for Emacs
 Company is a text completion framework for Emacs. The name stands for "complete
 anything". It uses pluggable back-ends and front-ends to retrieve and display
 completion candidates.

## company-mode 0.9.6

=== debian/changelog ===
company-mode (0.9.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Update Vcs links to use salsa.
  * Declare Standards-Version: 4.1.4. (No additional changes needed)
  * Declare compat level 11.
  * Switch to debhelper 11.
  * Drop elpa-company dependency on "emacs" and provide "Enhances: emacs,
    emacs25" instead.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 27 Apr 2018 20:35:19 -0400

=== debian/control ===
Source: company-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 11~), dh-elpa (>= 0.0.13)
Standards-Version: 4.1.4
Homepage: https://company-mode.github.io/
Vcs-Git: https://salsa.debian.org/emacsen-team/company-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/company-mode

Package: elpa-company
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs, emacs25
Description: Modular in-buffer completion framework for Emacs
 Company is a text completion framework for Emacs. The name stands for "complete
 anything". It uses pluggable back-ends and front-ends to retrieve and display
 completion candidates.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	make elpa

override_dh_install:
	dh_install
	dh_elpa

override_dh_auto_test:
	make test-batch

## company-mode 0.9.9

=== debian/changelog ===
company-mode (0.9.9-2) unstable; urgency=medium

  * Rebuild with dh_elpa 1.16. (Closes: #920219).

 -- David Bremner <bremner@debian.org>  Thu, 24 Jan 2019 22:38:30 -0400

company-mode (0.9.9-1) unstable; urgency=medium

  * Bug fix: "new upstream version available (0.9.7)", thanks to Nicholas
    D Steeves (Closes: #915457).

 -- David Bremner <bremner@debian.org>  Thu, 24 Jan 2019 07:32:04 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 11~), dh-elpa (>= 0.0.13)
+Build-Depends: debhelper (>= 11~), dh-elpa (>= 1.16)
 Standards-Version: 4.1.4
 Homepage: https://company-mode.github.io/
 Vcs-Git: https://salsa.debian.org/emacsen-team/company-mode.git

## company-mode 0.9.13

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 package: *.el
 	@ver=`grep -o "Version: .*" company.el | cut -c 10-`; \
-	tar cjvf company-$$ver.tar.bz2 --mode 644 `git ls-files '*.el' | xargs`
+	tar cjvf company-$$ver.tar.bz2 --mode 644 $$(find . -name \*.el)
 
 elpa: *.el
 	@version=`grep -o "Version: .*" company.el | cut -c 10-`; \
 	dir=company-$$version; \
 	mkdir -p "$$dir"; \
-	cp `git ls-files '*.el' | xargs` company-$$version; \
+	cp $$(find . -name \*.el) company-$$version; \
 	echo "(define-package \"company\" \"$$version\" \
 	\"Modular in-buffer completion framework\")" \
 	> "$$dir"/company-pkg.el; \

=== debian/changelog ===
company-mode (0.9.13-2) unstable; urgency=medium

  * Suggest clang for company-clang (C/C++) backend. Thanks to Gard
    Spreemann (Closes: #980538).

 -- David Bremner <bremner@debian.org>  Thu, 21 Jan 2021 14:06:43 -0400

company-mode (0.9.13-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ David Bremner ]
  * New upstream release (Closes: #973187).

 -- David Bremner <bremner@debian.org>  Sat, 07 Nov 2020 15:11:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: company-mode
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 11~), dh-elpa (>= 1.16)
 Standards-Version: 4.1.4
@@ -12,6 +12,7 @@
 Package: elpa-company
 Architecture: all
 Depends: ${misc:Depends}, ${elpa:Depends}
+Suggests: clang
 Enhances: emacs, emacs25
 Description: Modular in-buffer completion framework for Emacs
  Company is a text completion framework for Emacs. The name stands for "complete

## company-mode 0.10.0

=== doc/Makefile ===
ALL_TARGETS = company.info install-info company.html/ install-html clean

.PHONY: ${ALL_TARGETS}

help:
	@echo Targets:
	@for t in ${ALL_TARGETS}; do echo "- "$$t; done

company.info: company.texi
	makeinfo $^ -o $@

# Alternatively, use C-u C-h i <company.info>.
# The path must be present in Emacs' Info-directory-list.
install-info: INFO_INSTALL_DIR ?= /usr/local/share/info/
install-info: company.info
	cp -R $^ images ${INFO_INSTALL_DIR}
	install-info --info-dir=${INFO_INSTALL_DIR} $^

company.html/: \
	HTML_CSS_URL ?= https://company-mode.github.io/stylesheets/stylesheet.css
	--css-ref=${HTML_CSS_URL}
#	HTML_CSS_FILE ?= ../../company-mode.github.com/stylesheets/stylesheet.css
#	--css-include=${HTML_CSS_FILE}
company.html/: company.texi
	makeinfo $^ --html --split=chapter --no-headers --no-number-sections -c \
	AFTER_BODY_OPEN="<div class=\"inner manual\">" -c PRE_BODY_CLOSE="</div>" \
	--css-ref=${HTML_CSS_URL} -o $@

install-html: HTML_INSTALL_DIR ?= ../../company-mode.github.com/manual/
	HTML_DIR = company.html/
	HTML_KEEP_FILES = $(addprefix ${HTML_DIR}, $(addsuffix .html, \
		index Overview Getting-Started Customization Frontends Backends \
		Troubleshooting))
	HTML_REMOVE_FILES = $(filter-out ${HTML_KEEP_FILES}, \
		$(wildcard ${HTML_DIR}*))
install-html: company.html/
	@for f in ${HTML_REMOVE_FILES}; do rm $$f; done
	@mkdir -p ${HTML_INSTALL_DIR}
	@rm -rf ${HTML_INSTALL_DIR}*
	cp -R $^ images ${HTML_INSTALL_DIR}

clean:
	@rm -rf *.info *.html

=== debian/changelog ===
company-mode (0.10.0-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs25 from Enhances (package does not exist in bullseye).

  [ David Bremner ]
  * New upstream version
  * Bug fix: "FTBFS: make[2]: *** [Makefile:27: test-batch] Error 255",
    thanks to Lucas Nussbaum (Closes: #1052948).

 -- David Bremner <bremner@debian.org>  Wed, 04 Oct 2023 20:00:17 -0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${elpa:Depends}
 Suggests: clang
-Enhances: emacs, emacs25
+Enhances: emacs
 Description: Modular in-buffer completion framework for Emacs
  Company is a text completion framework for Emacs. The name stands for "complete
  anything". It uses pluggable back-ends and front-ends to retrieve and display

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with elpa

override_dh_auto_test:
	make test-batch

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/company-mode-$1\.tar\.gz/ \
  https://github.com/company-mode/company-mode/tags .*/v?(\d\S*)\.tar\.gz

## company-mode 0.10.2

=== debian/changelog ===
company-mode (0.10.2-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:50:14 +0900

company-mode (0.10.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:34:17 +0900

company-mode (0.10.2-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Team upload
  * New upstream version
  * Migrate from debhelper >= 11 to debhelper-compat version 13
  * Update Standards-Version to 4.6.2 (no change needed)
  * Set Rules-Requires-Root as no in d/control
  * Check DEB_BUILD_OPTIONS against nocheck in override_dh_auto_test
  * Modernize d/watch to version 4 with substitute strings to be robust
  * Add Upstream-Contact in d/copyright

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Mar 2024 15:45:08 +0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 11~), dh-elpa (>= 1.16)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13), dh-elpa (>= 1.16)
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://company-mode.github.io/
 Vcs-Git: https://salsa.debian.org/emacsen-team/company-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/company-mode

## company-mode 1.0.2

=== Makefile ===
EMACS = emacs

ALL_TARGETS = help package clean test test-gui test-batch compile compile-warn

TAR_OPTIONS = cjvf
ifneq ($(shell uname -s), Darwin)
	TAR_OPTIONS += --mode 644
endif


.PHONY: ${ALL_TARGETS}

help:
	@echo Targets:
	@for t in ${ALL_TARGETS}; do echo "- "$$t; done

package: *.el
	@VERSION=$$(awk '/Version:/{print $$3;exit}' company.el); \
	FILES=$$(find . \! -name .\* -a \( -maxdepth 1 -name \*.el -o -name icons \) ); \
	tar ${TAR_OPTIONS} company-$$VERSION.tar.bz2 $$FILES

clean:
	@rm -rf company-*.tar.bz2 *.elc test/*.elc

test:
	${EMACS} -Q -nw -L . -l test/all.el \
	--eval "(let (pop-up-windows) (ert '(not (tag gui))))"

test-gui:
	${EMACS} -Q -L . -l test/all.el \
	--eval "(let (pop-up-windows) (ert t))"

test-batch:
	${EMACS} -Q --batch -L . -l test/all.el \
	--eval "(ert-run-tests-batch-and-exit '(not (or (tag interactive) (tag gui))))"

compile:
	${EMACS} -Q --batch -L . -f batch-byte-compile company.el company-*.el

compile-warn:
	${EMACS} -Q --batch -L . \
	--eval "(setq byte-compile-error-on-warn t)" \
	-f batch-byte-compile company*.el test/*.el

=== debian/changelog ===
company-mode (1.0.2-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * New upstream release
  * Update Standards-Version to 4.7.0; no change needed
  * Add myself to uploaders
  * Trim trailing whitespace in d/control.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

 -- David Bremner <bremner@debian.org>  Fri, 27 Sep 2024 10:44:35 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
-Uploaders: David Bremner <bremner@debian.org>
+Uploaders: David Bremner <bremner@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13), dh-elpa (>= 1.16)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://company-mode.github.io/
 Vcs-Git: https://salsa.debian.org/emacsen-team/company-mode.git
@@ -19,4 +20,3 @@
  Company is a text completion framework for Emacs. The name stands for "complete
  anything". It uses pluggable back-ends and front-ends to retrieve and display
  completion candidates.
-

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with elpa

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make test-batch
endif

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*?)v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
    https://github.com/company-mode/company-mode/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@
